Tool: list_backup_policies
List backup policies in a given project and location.
The following sample demonstrates how to use curl to invoke the list_backup_policies MCP tool.
| Curl Request |
|---|
curl --location 'https://netapp.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_backup_policies", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
ListBackupPoliciesRequest for requesting multiple backup policies.
ListBackupPoliciesRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string, "filter": string, "orderBy": string } |
| Fields | |
|---|---|
parent |
Required. Parent value for ListBackupPoliciesRequest |
pageSize |
Requested page size. Server may return fewer items than requested. If unspecified, the server will pick an appropriate default. |
pageToken |
A token identifying a page of results the server should return. |
filter |
Filtering results |
orderBy |
Hint for how to order the results |
Output Schema
ListBackupPoliciesResponse contains all the backup policies requested.
ListBackupPoliciesResponse
| JSON representation |
|---|
{
"backupPolicies": [
{
object ( |
| Fields | |
|---|---|
backupPolicies[] |
The list of backup policies. |
nextPageToken |
A token identifying a page of results the server should return. |
unreachable[] |
Locations that could not be reached. |
BackupPolicy
| JSON representation |
|---|
{ "name": string, "createTime": string, "labels": { string: string, ... }, "state": enum ( |
| Fields | |
|---|---|
name |
Identifier. The resource name of the backup policy. Format: |
createTime |
Output only. The time when the backup policy was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
labels |
Resource labels to represent user provided metadata. An object containing a list of |
state |
Output only. The backup policy state. |
Union field
|
|
dailyBackupLimit |
Number of daily backups to keep. Note that the minimum daily backup limit is 2. |
Union field
|
|
weeklyBackupLimit |
Number of weekly backups to keep. Note that the sum of daily, weekly and monthly backups should be greater than 1. |
Union field
|
|
monthlyBackupLimit |
Number of monthly backups to keep. Note that the sum of daily, weekly and monthly backups should be greater than 1. |
Union field
|
|
description |
Description of the backup policy. |
Union field
|
|
enabled |
If enabled, make backups automatically according to the schedules. This will be applied to all volumes that have this policy attached and enforced on volume level. If not specified, default is true. |
Union field
|
|
assignedVolumeCount |
Output only. The total number of volumes assigned by this backup policy. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
State
| Enums | |
|---|---|
STATE_UNSPECIFIED |
State not set. |
CREATING |
BackupPolicy is being created. |
READY |
BackupPolicy is available for use. |
DELETING |
BackupPolicy is being deleted. |
ERROR |
BackupPolicy is not valid and cannot be used. |
UPDATING |
BackupPolicy is being updated. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌